package com.zm.order.tool.server.service;

import com.zm.order.tool.server.model.Order;
import com.zm.order.tool.server.request.ListOrderRequest;

/**
 * @author nianchang
 * @date 2022/01/25 3:57 下午
 */
public interface OrderRouting6Service {

    void routing();

    void check();

    void count(ListOrderRequest query);

    void updateData();

    void checkTask();

    void checkByOne();

    void orderConvert();
    void payConvert();
    void refundConvert();
    void commentConvert();
    void itemCommentConvert();


    void checkOrderConvert();

    void orderRepair();

    void syncEs();

    void historyOrder();
    void historyPay();
    void historyRefund();
    void historyComment();
    void historyItemComment();

    void mergeRepair();

    void orderLoss(Order order);
    void payLoss();
    void refundLoss();

    void orderCheck();
    void repairOrder();


}
